console.log('functions.js');



////
//// Fonctions générales
////

//Saisie de nombre entier ou a virgule obligatoire //
function saisieNombre( message, valeurParDefaut) {
    var saisie;
    do {
        saisie = window.prompt (message, valeurParDefaut);
        
        if(saisie != null ) // Sinon nombre est transformé en NaN par parseFloat, et on reste coincé dans la boucle
            saisie = parseFloat(saisie);
    }
    while ( (isNaN(saisie)) && (saisie != null) );
    
    return saisie;
}



// Renvoie un nombre aléatoire
function nombreAleatoire(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}



////
//// Fonctions de mon projet
////

/// Fonction appelée lors du succès de l'appel Ajax à l'API de météo

//						 Ce paramètre est créé automatiquement lors du succès de la fonction getJSON
//						 Il contient les données renvoyées par l'API, au format JSON,
//						 convertit automatiquement en tableau/pobjet JS par la fonction getJSON()
//						 (utilisation implicite de la fonction JSON.parse :)
function succesAppelAPI( donneesRenvoyéesParLAPI ) {

	// Qu'est ce que l'api nous renvoie ?
	// On se sers de l'affichage dans la console pour récupérer
	// et organiser les informations que nous souhaitons afficher
	console.log(donneesRenvoyéesParLAPI);

	// Nous allons afficher la description du temps, la température et l'icône





	//// Gestion de l'affichage du temps actuel

	// Récupération de la description du temps q'il fait
	var temps = donneesRenvoyéesParLAPI.weather[0].description;
	// console.log(temps);
	$('#temps').html(temps);




/*
	//// Gestion de la température

	// Récupération de la température (attention, en kelvin !)
	var temperatureKelvin = donneesRenvoyéesParLAPI.main.temp;
	// console.log(temperatureKelvin);

	// Conversion en ° celsius, un nombre après la virgule
	var temperatureCelsius = ( parseFloat( temperatureKelvin - 273.15 ). toFixed(1) );

	// Plus simplement, on peut demander à l'API de nous renvoyer la température en °
	// Via le paramètre units=metric

	//// Merci Mandarine / PA 107 
	
	( •_•)
	
	( •_•)>⌐■-■
	
	(⌐■_■) #Yeeeaaahhh
*/

	var temperatureCelsius = donneesRenvoyéesParLAPI.main.temp;

	// Mise en forme pour l'affichage, ajout du symbole "degrés"
	temperatureCelsius += "°";

	// Enfin, nous rajoutons l'ensemble à notre html
	$('#temperature').html(temperatureCelsius);





	//// Gestion des icones // donneesRenvoyéesParLAPI["weather"][0]
	// https://openweathermap.org/weather-conditions

	// Il peut y avoir plusieurs icônes, nous préparons donc une chaine de caractères
	// vides afin de les y ajouter
	var iconesAAfficher = "";

	// Pour chaque icône..
	for (var i = 0; i < donneesRenvoyéesParLAPI["weather"].length; i++) {
		
		// Récupération du nom du fichier de l'image, sans extension
		var icone = donneesRenvoyéesParLAPI["weather"][i]["icon"];

		// Création du l'image au format html
		var iconeEnHtml = '<img src="http://openweathermap.org/img/w/' + icone + '.png" />';

		// Ajout de l'image html ainsi crée à notre chaine de caractère à afficher
		iconesAAfficher += iconeEnHtml;
	}

	// Enfin, nous rajoutons l'ensemble des icônes à notre html
	$('#icones').html(iconesAAfficher);
	
}